Skip to main content
GET
Get a workflow revision
Minimum role required: Member

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Path Parameters

workflow_id
string<uuid>
required

workflow identifier

revision_id
string<uuid>
required

revision identifier

Response

OK

One saved code revision, including the full code source.

author_user_id
string
required

User who saved the revision.

bytes
integer<int64>
required

Size of the code source in bytes.

code_source
string
required

Full code source of the revision.

created_at
string<date-time>
required

When the revision was saved.

id
string
required

Revision identifier.

message
string | null
required

Optional commit-style message.

revision
integer<int64>
required

Monotonic revision number, starting at 1.

sha256
string
required

SHA-256 of the code source.